## ros-melodic-ecl-streams 0.62.2

=== src/test/CMakeLists.txt ===
###############################################################################
# GTEST SETUP
###############################################################################


macro(ecl_streams_add_gtest test_name)
  catkin_add_gtest(ecl_test_${test_name} ${test_name}.cpp)
  # If we don't have gtest installed, then the target doesn't get made - check!
  if(TARGET ecl_test_${test_name})
      target_link_libraries(ecl_test_${test_name} ${PROJECT_NAME})
  endif()
endmacro()

ecl_streams_add_gtest(file_streams)
ecl_streams_add_gtest(string_streams)

=== include/ecl/streams/CMakeLists.txt ===
###############################################################################
# SUBDIRECTORIES
###############################################################################

add_subdirectory(manipulators)
add_subdirectory(text_streams)

###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/streams)

=== include/ecl/streams/text_streams/CMakeLists.txt ===
###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/streams/text_streams)

=== debian/changelog ===
ros-melodic-ecl-streams (0.62.2-0stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 14 Sep 2018 18:40:39 -0000

ros-melodic-ecl-streams (0.60.8-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Feb 2014 05:00:00 -0000

ros-melodic-ecl-streams (0.60.7-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Feb 2014 05:00:00 -0000

ros-melodic-ecl-streams (0.60.6-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jan 2014 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-ecl-streams
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-ecl-concepts, ros-melodic-ecl-converters, ros-melodic-ecl-devices, ros-melodic-ecl-errors, ros-melodic-ecl-license, ros-melodic-ecl-time, ros-melodic-ecl-type-traits
Homepage: http://wiki.ros.org/ecl_streams
Standards-Version: 3.9.2

Package: ros-melodic-ecl-streams
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ecl-concepts, ros-melodic-ecl-converters, ros-melodic-ecl-devices, ros-melodic-ecl-errors, ros-melodic-ecl-license, ros-melodic-ecl-time, ros-melodic-ecl-type-traits
Description: These are lightweight text streaming classes that connect to standardised ecl type devices.
